%define _disable_ld_no_undefined 1

%define api	1.0
%define oname	gst-python

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/gstreamer-%{api}/.*\\.so

Name:		gstreamer1.0-python
Version:	1.26.3
Release:	%mkrel 1
Summary:	Python bindings for GStreamer
Group:		Development/Python
License:	LGPLv2+
URL:            https://gstreamer.freedesktop.org/
Source0:	https://gstreamer.freedesktop.org/src/gst-python/%{oname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-analytics-1.0)
BuildRequires:	pkgconfig(gstreamer-rtsp-server-1.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif
Requires:	python3-gobject3

%description
This module contains a binding that allows GStreamer applications
to be written in Python.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%meson \
	-Dpygi-overrides-dir=%{python3_sitearch}/gi/overrides/
%meson_build

%install
%meson_install

%files
%doc NEWS README.md
%license COPYING
%{_libdir}/gstreamer-%{api}/libgstpython.so
%{python3_sitearch}/gi/overrides/*.py
%{python3_sitearch}/gi/overrides/__pycache__/*
%{python3_sitearch}/gi/overrides/*.so


%changelog
* Wed Jul 16 2025 daviddavid <daviddavid> 1.26.3-1.mga10
+ Revision: 2256463
- new version 1.26.3

* Mon Jul 07 2025 umeabot <umeabot> 1.26.0-2.mga10
+ Revision: 2249037
- Mageia 10 Mass Rebuild

* Thu Mar 20 2025 wally <wally> 1.26.0-1.mga10
+ Revision: 2167455
- new version 1.26.0

* Wed Mar 05 2025 daviddavid <daviddavid> 1.24.11-2.mga10
+ Revision: 2160958
- rebuild for python 3.13

* Tue Jan 07 2025 daviddavid <daviddavid> 1.24.11-1.mga10
+ Revision: 2135933
- new version: 1.24.11

* Sun Oct 27 2024 wally <wally> 1.24.8-1.mga10
+ Revision: 2111408
- new version 1.24.8

* Fri Aug 30 2024 daviddavid <daviddavid> 1.24.7-1.mga10
+ Revision: 2092242
- new version: 1.24.7

* Fri Jun 07 2024 daviddavid <daviddavid> 1.24.4-1.mga10
+ Revision: 2070362
- new version: 1.24.4

* Mon Mar 25 2024 daviddavid <daviddavid> 1.24.1-1.mga10
+ Revision: 2052111
- new version 1.24.1

* Mon Mar 25 2024 daviddavid <daviddavid> 1.24.0-1.mga10
+ Revision: 2051974
- new version 1.24.0

* Sun Feb 04 2024 wally <wally> 1.22.9-2.mga10
+ Revision: 2037169
- rebuild for arm32

* Mon Jan 29 2024 wally <wally> 1.22.9-1.mga10
+ Revision: 2036135
- new version 1.22.9

* Fri Dec 29 2023 papoteur <papoteur> 1.22.8-2.mga10
+ Revision: 2024371
- rebuild for python 3.12

* Wed Dec 20 2023 ghibo <ghibo> 1.22.8-1.mga10
+ Revision: 2020054
- Update to release 1.22.8

* Wed Dec 20 2023 daviddavid <daviddavid> 1.22.6-2.mga10
+ Revision: 2019987
- rebuild for py3.12

* Mon Oct 09 2023 wally <wally> 1.22.6-1.mga10
+ Revision: 1993815
- new version 1.22.6

* Fri Sep 01 2023 ghibo <ghibo> 1.22.5-2.mga10
+ Revision: 1983152
- Bump release for rebuild

* Tue Aug 29 2023 ghibo <ghibo> 1.22.5-1.mga10
+ Revision: 1980860
- Update to release 1.22.5

* Sat Jul 08 2023 ghibo <ghibo> 1.22.4-1.mga9
+ Revision: 1963702
- Update to release 1.22.4

* Sun May 21 2023 ghibo <ghibo> 1.22.3-1.mga9
+ Revision: 1957546
- Update to release 1.22.3

* Tue Jan 24 2023 wally <wally> 1.22.0-1.mga9
+ Revision: 1935708
- new version 1.22.0

* Sat Jan 14 2023 wally <wally> 1.21.90-1.mga9
+ Revision: 1933103
- new version 1.21.90

* Mon Dec 26 2022 wally <wally> 1.20.5-1.mga9
+ Revision: 1926958
- new version 1.20.5

* Sun Nov 20 2022 wally <wally> 1.20.4-1.mga9
+ Revision: 1909317
- new version 1.20.4

* Sat Jul 23 2022 wally <wally> 1.20.3-1.mga9
+ Revision: 1870399
- new version 1.20.3

* Sun May 08 2022 wally <wally> 1.20.2-1.mga9
+ Revision: 1856823
- new version 1.20.2

* Sun Apr 03 2022 wally <wally> 1.20.1-1.mga9
+ Revision: 1842473
- new version 1.20.1

* Sun Apr 03 2022 umeabot <umeabot> 1.18.5-3.mga9
+ Revision: 1841759
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 1.18.5-2.mga9
+ Revision: 1774253
- Rebuild for python 3.10

* Sat Sep 18 2021 wally <wally> 1.18.5-1.mga9
+ Revision: 1745696
- new version 1.18.5 (mga#29452)

* Mon Apr 05 2021 wally <wally> 1.18.4-1.mga9
+ Revision: 1713707
- new version 1.18.4

* Mon Mar 15 2021 wally <wally> 1.18.3-2.mga9
+ Revision: 1703627
- rebuild for python 3.9

* Mon Jan 18 2021 wally <wally> 1.18.3-1.mga8
+ Revision: 1672338
- new version 1.18.3

* Wed Dec 09 2020 wally <wally> 1.18.2-1.mga8
+ Revision: 1655024
- new version 1.18.2

* Sat Nov 21 2020 wally <wally> 1.18.1-1.mga8
+ Revision: 1648223
- new version 1.18.1

* Sun Sep 13 2020 wally <wally> 1.18.0-1.mga8
+ Revision: 1625908
- new version 1.18.0

* Tue Feb 18 2020 umeabot <umeabot> 1.16.2-3.mga8
+ Revision: 1541562
- Mageia 8 Mass Rebuild

* Sun Dec 29 2019 wally <wally> 1.16.2-2.mga8
+ Revision: 1474746
- switch to meson build
- add patch to fix hardcoded python3 shared library name (mga#25961)

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464336
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445554
- new version 1.16.1

* Tue Sep 10 2019 wally <wally> 1.16.0-2.mga8
+ Revision: 1439409
- rebuild for python3.8

* Thu Apr 25 2019 wally <wally> 1.16.0-1.mga7
+ Revision: 1395283
- new version 1.16.0

* Mon Jan 07 2019 tmb <tmb> 1.14.4-2.mga7
+ Revision: 1351177
- rebuild for python 3.7

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317569
- new version 1.14.4

* Tue Sep 18 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259528
- new version 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244586
- new version: 1.14.2

* Mon May 21 2018 wally <wally> 1.14.1-1.mga7
+ Revision: 1231143
- new version 1.14.1

* Sun Mar 25 2018 wally <wally> 1.14.0-1.mga7
+ Revision: 1212141
- new version 1.14.0
- rediff linking patch
- enable valgrind on all supported arches

* Sat Dec 16 2017 wally <wally> 1.12.4-1.mga7
+ Revision: 1182828
- new version 1.12.4

* Tue Sep 26 2017 wally <wally> 1.12.3-1.mga7
+ Revision: 1160014
- new version 1.12.3

* Sat Aug 05 2017 pterjan <pterjan> 1.12.2-2.mga7
+ Revision: 1135222
- Rebuild for python 3.6

* Tue Jul 25 2017 wally <wally> 1.12.2-1.mga7
+ Revision: 1130758
- new version 1.12.2

* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085496
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081800
- new version 1.10.2

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047098
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021006
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011419
- 1.8.1

* Thu Apr 28 2016 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 1007034
- use new python macros

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995256
- new version 1.8.0
- add pkg origin information

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992936
- new version 1.7.91

* Sat Mar 05 2016 wally <wally> 1.7.90-1.mga6
+ Revision: 985957
- new version 1.7.90

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 918900
- 1.6.2

* Sat Oct 10 2015 wally <wally> 1.6.0-1.mga6
+ Revision: 889237
- new version 1.6.0
- rediff linking patch

* Wed Oct 07 2015 ovitters <ovitters> 1.4.0-2.mga6
+ Revision: 887195
- rebuild for new python3

* Tue Nov 18 2014 wally <wally> 1.4.0-1.mga5
+ Revision: 797772
- new version 1.4.0
- switch to python3
- exclude .so from provides

* Wed Oct 15 2014 umeabot <umeabot> 1.3.90-2.mga5
+ Revision: 748556
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 1.3.90-1.mga5
+ Revision: 733846
- new version 1.3.90
- add patch to fix linking

* Sat Sep 27 2014 tv <tv> 1.2.1-3.mga5
+ Revision: 726443
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-2.mga5
+ Revision: 679988
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 wally <wally> 1.2.1-1.mga5
+ Revision: 638733
- new version 1.2.1

* Sat May 31 2014 pterjan <pterjan> 1.1.90-3.mga5
+ Revision: 628241
- Rebuild for new Python

* Fri Nov 08 2013 wally <wally> 1.1.90-2.mga4
+ Revision: 549973
- drop .la file

* Fri Nov 08 2013 wally <wally> 1.1.90-1.mga4
+ Revision: 549960
- new version 1.1.90
- clean .spec for gstreamer1.0 version
- rename pkg as gstreamer1.0-python

* Fri Oct 18 2013 umeabot <umeabot> 0.10.22-4.mga4
+ Revision: 505302
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.22-3.mga3
+ Revision: 352751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 0.10.22-2.mga3
+ Revision: 338652
- patch2: fix build with automake 1.13

* Sun Oct 30 2011 fwang <fwang> 0.10.22-1.mga2
+ Revision: 160009
- new version 0.10.22

* Sun Jan 23 2011 wally <wally> 0.10.21-2.mga1
+ Revision: 33568
- remove old py_requires macro
- imported package gstreamer0.10-python

